%define upstream_name WWW-Search-AlltheWeb
%define upstream_version 1.5

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	GPL or Artistic
Group:		Development/Perl
Summary:	WWW::Search::AlltheWeb - class for searching AlltheWeb
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/WWW//%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	perl(WWW::Search)
BuildArch:	noarch

%description
AlltheWeb is a class specialization of WWW::Search. It handles
making and interpreting AlltheWeb searches. This is one of the
fastest and largest search engines around.

http://www.alltheweb.com

This class exports no public interface; all interaction should
be done through WWW::Search objects. See SYNOPSIS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README
%{perl_vendorlib}/WWW/Search/*
%{_mandir}/*/*


%changelog
* Tue Nov 01 2022 umeabot <umeabot> 1.500.0-6.mga9
+ Revision: 1901204
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.500.0-5.mga8
+ Revision: 1498279
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.500.0-4.mga7
+ Revision: 1272729
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.500.0-3.mga6
+ Revision: 1035851
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.500.0-2.mga6
+ Revision: 939807
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5-11.mga5
+ Revision: 740352
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-10.mga5
+ Revision: 686863
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5-9.mga4
+ Revision: 515896
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5-8.mga3
+ Revision: 374804
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 1.5-7.mga1
+ Revision: 40772
- mageia rebuild
- imported package perl-WWW-Search-AlltheWeb

